Page MenuHomePhabricator

Flow: enabling Flow on a LiquidThreads talk page doesn't work (LQT conversion)
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Talk:Design was using LiquidThreads. Adding this page to $wgFlowOccupyPages did not work, apparently you still saw the LQT version of the page, although action=history would show the Flow-style history. Presumably LQT's handling of page actions "won" over Flow.

Setting this to low priority for now since the way we Flow-enable pages will change.

Details

Reference
bz65604

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz65604.
bzimport added a subscriber: Unknown Object (MLST).

I haven't looked at LQT's code yet, but in CommonSettings.php (https://noc.wikimedia.org/conf/highlight.php?file=CommonSettings.php), LQT registers its hooks before Flow does since it is included first, which might be why it is "winning" over Flow.

I think when we replace $wgFlowOccupyPages with using the content type (part of bug 70073), this bug will bef ixed, because the LQT page will no longer be a regular wiki page.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:26 AM
Quiddity updated the task description. (Show Details)Jan 9 2015, 8:52 PM
Quiddity triaged this task as Low priority.
Quiddity set Security to None.
DannyH renamed this task from Flow: enabling Flow on a LiquidThreads talk page doesn't work to Flow: enabling Flow on a LiquidThreads talk page doesn't work (LQT conversion).

This is fixed. We know how to automatically convert LQT to Flow.

Mattflaschen-WMF closed this task as Resolved.Mar 6 2015, 11:48 PM